function googleAnalytics()
{
	if (window.location.protocol.indexOf("http") != -1)
		{
			var ga_int;
			if(window.top.location.href.indexOf("/test/") != -1) { ga_int = '4'; }
			if(window.top.location.href.indexOf("/review/") != -1) { ga_int = '5'; }
			if(window.top.location.href.indexOf("/signoff/") != -1) { ga_int = '6'; }
			if(window.top.location.href.indexOf("staging.dmz.qas") != -1) { ga_int = '7'; }
			if(window.top.location.href.indexOf("support.qas.com") != -1) { ga_int = '3'; }
						
			var _gaq = _gaq || [];
			_gaq.push(['_setAccount', 'UA-38126101-' + ga_int]);
			_gaq.push(['_trackPageview']);

			(function() {
			var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
			ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
			var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
			})();
		}
}

function insertUapResources()
{
	if(window.location.protocol.indexOf("http") != -1)
	{
		if(window.top.location.href.indexOf("qas.com") != -1 || window.top.location.href.indexOf("staging.dmz.qas") != -1) {
			hideTopic();
			var loc = window.top.location.href;
			var url = loc.split("?")[0];
			url = url + "Resources/";
			var script = document.getElementsByTagName("script");
			var link = document.getElementsByTagName("link");
			for (var i = 0; i < script.length; i++) {
				var scriptname = script[i].src.split("/");
				scriptname = scriptname[scriptname.length-1];
				if (scriptname.indexOf("Project.js") == -1
					&& scriptname.indexOf("ga.js") == -1
					&& scriptname.indexOf("MadCapAll.js") == -1
					&& scriptname.indexOf(".js") != -1){
						if(scriptname.indexOf("UAPTopic.js") != -1
							|| scriptname.indexOf("UAPData.js") != -1
							|| scriptname.indexOf("automaticTabs.js") != -1){
							script[i].src = url + "Scripts/" + scriptname;
						}
						else {
							script[i].src = url + "Scripts/MadCap/" + scriptname;
						}
				}
			}
			for (var j = 0; j < link.length; j++) {
				var linkname = link[j].href.split("/");
				linkname = linkname[linkname.length-1];
				if (linkname.indexOf("MasterStyles.css") != -1){
					var topicstyles = document.createElement("link");
					var topicstyleshref = link[j].href.replace("MasterStyles", "ProjectStyles");
					topicstyles.setAttribute("rel", "stylesheet");
					topicstyles.setAttribute("type", "text/css");
					topicstyles.setAttribute("href", topicstyleshref);
					document.getElementsByTagName("head")[0].appendChild(topicstyles);
				}
				if (linkname.indexOf("ProjectStyles.css") == -1){
					link[j].href = url + "Stylesheets/" + linkname;
				}
			}
			frameCheck();
			insertOnlineStyles();
		}
	}
}

function frameCheck()
{

	// Only run this if the WebHelp is NOT within the UAP but is hosted on qas.com
	var var_host = window.location.hostname;
	var var_location = window.location.pathname;
	var var_hash = window.location.hash;
	var indexcheck = document.getElementsByTagName("noscript").length;
	if (window.location == window.top.location && var_host.indexOf("qas.com") != -1 && indexcheck < 1){
		// Create varables for URL parameters
		l = p = f = v = "";
		// Get the culture code from the URL
		var cultureRegex = /[\/][a-zA-Z]{2}-[a-zA-Z]{2}[\/]/;
		var l = cultureRegex.exec(window.location);
		// Store the culture code
		l = l[0].replace(/\//g,"");
		// Get the URL either side of the culture code
		var restOfUrl = var_location.split(l);
		var AboutDataPlusPage = "home/aboutdataplus.htm"
		if (restOfUrl[1].toLowerCase().indexOf(AboutDataPlusPage) != -1){
			var SendToAboutDataPlusPage = 1;
		}
		else { var SendToAboutDataPlusPage = 0;}
		// Split the URL into constituent parts
		var baseUrl =  restOfUrl[0];
		var urlParts = restOfUrl[1].split("/");
		// Check whether the 'product folder is '/data/', and if so, store the dataset and tab
		var prodFolder = urlParts[1].toLowerCase();
		if(var_location.indexOf("/Home/") != -1){var isDataHomePage = 1;}
		else {var isDataHomePage = 0;}
		if (prodFolder == "data" && isDataHomePage == 0 && SendToAboutDataPlusPage == 0){
			var endFolders = restOfUrl[1].split("/Content/");
			endFolders = endFolders[1];
			var dataset = endFolders.split("/")[0];
			dataset = dataset.split("[")[1].split("]")[0].toUpperCase();
			var tabref = endFolders.split("/")[2];
			tabref = "&tabref=" + tabref.split("%20").join(" ");
			var detailref = endFolders.split("/")[3];
			if (typeof detailref != "undefined"){
				detailref = "&detailref=" + detailref.split("%20").join(" ");
			}
			else{
				detailref = "";
			}
			var dataHash = "#Home/Home.htm#&dataset=" + dataset + tabref + detailref;
		}
		// Store URL parts
		if (typeof urlParts[1] != "undefined" && urlParts[1] != "Content" && urlParts[1] != ""){
			if (urlParts[1].indexOf('.htm') < 0) p = "&prod=" + urlParts[1]; }
		if (typeof urlParts[2] != "undefined" && urlParts[2] != "Content" && urlParts[2] != ""){
			if (urlParts[2].indexOf('.htm') < 0) f = "&flav=" + urlParts[2]; }
		if (typeof urlParts[3] != "undefined" && urlParts[3] != "Content" && urlParts[3] != ""){
			if (urlParts[3].indexOf('.htm') < 0) v = "&vers=" + urlParts[3]; }
		// If the page is a webhelp topic frame, get the hash parts
		var newHash = var_location.split("/Content/");
		if (typeof newHash[1] != "undefined"){ 
			newHash = "#" + newHash[1]; 
		}
		else newHash = "";
		// Construct new URL
		var newUrl = "//" + var_host + baseUrl + "?lang=" + l + p + f + v
		if (isDataHomePage == 1 && SendToAboutDataPlusPage == 0){
			currentHash = location.hash;
			newUrl = newUrl.toLowerCase() + "#Home/Home.htm" + currentHash;
		}
		if (SendToAboutDataPlusPage == 1){
			var dataset = window.location.href.toLowerCase().split("/data/")[1].split("/")[0];
			newUrl = newUrl.toLowerCase() + "#Home/Home.htm#&dataset=" + dataset + "&tab=About+DataPlus";
		}
		else if (prodFolder == "data"){
			newUrl = newUrl.toLowerCase() + dataHash;
		}
		else {
			newUrl = newUrl.toLowerCase() + newHash + var_hash;
		}
		// Redirect to UAP
		location = newUrl;
	}	
			
	// Only run this if the WebHelp is within the UAP (or other container frame)
	if (window.parent.location != window.top.location){
		var popup = window.parent.location.toString();
		var popupcheck = popup.indexOf('/Content/');
		// And only if the content is not within a popup inside the WebHelp itself
		if (popupcheck == -1){
			// Update the hash value
			window.top.location.hash = window.parent.location.hash;
		}
	}
}

function insertOnlineStyles()
{
	var loc = window.top.location.href;
	var url = loc.split("?")[0];
	url = url + "Resources/";
	var link = document.getElementsByTagName("link");
	for (var i = 0; i < link.length; i++) {
		var filename = link[i].href.split("/");
		filename = filename[filename.length-1];
		if (filename.indexOf("ProjectStyles.css") == -1){
			if(filename.indexOf("MasterTableStyle.css") != -1){
				folder = "TableStyles/";
			}
			else
			{
				folder = "Stylesheets/";
			}
			link[i].href = url + folder + filename;
		}
	}
}

function hideTopic()
{
	$("body").css("display","none");
}

function showTopic()
{
	// Inject internal links
	// ========================================================================================================================
	$(".internallink").removeClass("internallink").addClass("internalLink");
	var internalLink = $(".internalLink");
	if (internalLink.length > 0)
	{
		// GET RROTOCOL (is the page being viewed online or offline)
		var protocol = window.location.protocol;
		if (protocol.indexOf("http") != -1)	protocol_type = "online";
		else protocol_type = "local";
		// DEFAULT ARGS
		// get current URL parameters and use as default arguments, if available
		if (protocol_type == "online")
		{
			var query = parseQuery();
			var default_args = {
				'lang'	:	query.lang,
				'prod'	:	query.prod
			}
		}
		else
		{
			var default_args = {
				'lang'	:	"en-us"
			}
		}
		// SUPPLIED ARGS
		// get parameters supplied in each .internalLink <span> and use as arguments, if available
		for (var i = 0; i < internalLink.length; i++) {
			// if a hash param was supplied, remove '#' if it appears as the first character
			suppliedHash = $(".internalLink:eq(" + i + ")").attr("hash");
			if (suppliedHash) { suppliedHash = suppliedHash.replace(/^#/, ''); }
			// get all supplied args
			var supplied_args = {
			
				'lang'		:	$(".internalLink:eq(" + i + ")").attr("lang"),
				'prod'		:	$(".internalLink:eq(" + i + ")").attr("prod"),
				'flav'		:	$(".internalLink:eq(" + i + ")").attr("flav"),
				'vers'		:	$(".internalLink:eq(" + i + ")").attr("vers"),
				'dataset'	:	$(".internalLink:eq(" + i + ")").attr("dataset"),
				'tab'		:	$(".internalLink:eq(" + i + ")").attr("tab"),
				'detail'	:	$(".internalLink:eq(" + i + ")").attr("detail"),
				'hash'		:	suppliedHash
			}
			// USE DEFAULTS IF REQUIRED
			// for any parameter not present as a supplied arg, use the default value instead
			for(var index in default_args) {
				if(typeof supplied_args[index] == "undefined") supplied_args[index] = default_args[index];
			}
			// FORMAT LINK
			// format link parts
			if (protocol_type == "online")
			{
				var linkRoot = window.top.location.href.split("?")[0];
				var linkTarget = "_new";
			}
			else
			{
				var linkRoot = "http://support.qas.com/ua/";
				var linkTarget = "_new";
			}
			var linkClass = "uap-link";
			
			// language, product, flavour and version params
			if (typeof supplied_args.lang == "undefined") supplied_args.lang = "en-us";
			if (supplied_args.lang != "") l = "?lang=" + supplied_args.lang.split(/\s/).join("").toLowerCase();
			else l = ""; 
			
			if (typeof supplied_args.prod == "undefined") supplied_args.prod = "home";
			if (supplied_args.prod != "") p = "&prod=" + supplied_args.prod.split(/\s/).join("").toLowerCase();
			else p = ""; 
			
			if (typeof supplied_args.flav == "undefined") supplied_args.flav = "";
			if (supplied_args.flav != "") f = "&flav=" + supplied_args.flav.split(/\s/).join("").toLowerCase();
			else f = ""; 
			
			if (typeof supplied_args.vers == "undefined") supplied_args.vers = "";
			if (supplied_args.vers != "") v = "&vers=" + supplied_args.vers.split(/\s/).join("").toLowerCase();
			else v = ""; 
			
			// dataset, tab and detail params
			if (typeof supplied_args.dataset == "undefined") supplied_args.dataset = "";
			if (supplied_args.dataset != "") dataset = "&dataset=" + supplied_args.dataset.split(/\s/).join("").toLowerCase();
			else dataset = ""; 
			
			if (typeof supplied_args.tab == "undefined") supplied_args.tab = "";
			if (supplied_args.tab != "") tab = "&tab=" + supplied_args.tab.split(/\s/).join("").toLowerCase();
			else tab = ""; 
			
			if (typeof supplied_args.detail == "undefined") supplied_args.detail = "";
			if (supplied_args.detail != "") detail = "&detail=" + supplied_args.detail.split(/\s/).join("").toLowerCase();
			else detail = ""; 
			
			// hash param
			if (typeof supplied_args.hash == "undefined") supplied_args.hash = "";
			if (supplied_args.hash != "") hash = "#" + supplied_args.hash.split(/\s/).join("");
			else hash = "";
			
			// stitch together the complete link
			if (supplied_args.prod == "data")
			{
				if (p == "") { f = ""; }
				if (f == "") { v = ""; }
				// make sure the data-specific part of the link doesn't include a child if the parent is missing
				dataPreReq = "#Home/Home.htm#";
				if (f == "") { dataset = ""; }
				if (dataset == "") { dataPreReq = ""; tab = ""; }
				if (tab == "") { detail = ""; }
								
				var linkUrl = linkRoot + l + p + f + dataPreReq + dataset + tab + detail;
			}
			else
			{
				// make sure the data-specific part of the link doesn't include a child if the parent is missing
				if (p == "") { f = ""; }
				if (f == "") { v = ""; }
				
				var linkUrl = linkRoot + l + p + f + v + hash;
			}
			// INJECT LINK
			// replace the internalLink <span> with the parsed link
			var link = "<a href='" + linkUrl + "' target='" + linkTarget + "' class='" + linkClass + "'>" 
				+ $(".internalLink:eq(" + i + ")").text() 
				+ "</a>";
			$(".internalLink:eq(" + i + ")").html(link);
		}
		// unwrap all internal links from their <span>s (remove the original span tags and parameters
		$(".internalLink a").unwrap();
	}
	
	
	// Add title attributes to links that point to _new, _blank or _top targets
	// ========================================================================================================================
	// make sure all target attributes are lower case
	var linksWithTargets = $("a[target]");
	for (var i = 0; i < linksWithTargets.length; i++) {
		var currentTargetAttr = $("a[target]:eq(" + i + ")").attr("target");
		var lowerCaseAttr = currentTargetAttr.toLowerCase();
		$("a[target]:eq(" + i + ")").attr("target",lowerCaseAttr);
	}
	// create hover text for links that open in a new window or in the top frame
	if ($("html").first().attr("lang") == "fr")
	{
		// French
		var linkTitleNew = "Ouvre dans une nouvelle fentre.";
		var linkTitleTop = "Ouvre dans la mme fentre."
							+"\n" +
							"Utilisez le bouton retour de votre navigateur pour revenir ici.";
	}
	else
	{
		// English (and anything else)
		var linkTitleNew = "Opens in a new window.";
		var linkTitleTop = "Opens in the same window."
							+"\n" +
							"Use your browser's back button to return here.";
	}
	// apply hover text to links
	$("a[target='_new']").attr("title",linkTitleNew);
	$("a[target='_blank']").attr("title",linkTitleNew);
	$("a[target='_top']").attr("title",linkTitleTop);
	
	// Show topic
	// ========================================================================================================================
	$("body").fadeIn("100");
}



function parseQuery(qs,options)
{
	var q = (typeof qs === 'string'?qs:top.location.search), o = {'f':function(v){return unescape(v).replace(/\+/g,' ');}}, options = (
	typeof qs === 'object' && typeof options === 'undefined')?qs:options, o = $.extend({}, o, options), params = {};
	$.each(q.match(/^\??(.*)$/)[1].split('&'),function(i,p){
			p = p.split('=');
			p[1] = o.f(p[1]);
			params[p[0]] = params[p[0]]?((params[p[0]] instanceof Array)?(params[p[0]].push(p[1]),params[p[0]]):[params[p[0]],p[1]]):p[1];
	});
	return params;		
}