var xmlHelpSystemData = "";
xmlHelpSystemData += '<?xml version=\"1.0\" encoding=\"utf-8\"?>';
xmlHelpSystemData += '<WebHelpSystem DefaultUrl=\"Content/About.htm\" Toc=\"Data/Toc.js\" Index=\"Data/Index.js\" Concepts=\"Data/Concepts.js\" BrowseSequence=\"Data/BrowseSequence.js\" SearchDatabase=\"Data/Search.js\" Synonyms=\"Data/Synonyms.xml\" SkinName=\"UAP\" Skins=\"UAP-FR,UAP\" BuildTime=\"26/06/2019 13:28:21\" BuildVersion=\"11.1.2.31113\" TargetType=\"WebHelp2\" SkinTemplateFolder=\"Skin/\" InPreviewMode=\"false\" MoveOutputContentToRoot=\"false\" MakeFileLowerCase=\"false\" UseCustomTopicFileExtension=\"false\" PreventExternalUrls=\"false\" EnableResponsiveOutput=\"false\" IncludeGlossarySearchResults=\"true\" ResultsPerPage=\"20\">';
xmlHelpSystemData += '    <CatapultSkin Version=\"2\" SkinType=\"WebHelp2\" Comment=\"HTML5 skin\" Anchors=\"Width,Height\" Width=\"800\" Height=\"600\" Top=\"0\" Left=\"0\" Bottom=\"0\" Right=\"0\" Tabs=\"TOC\" DefaultTab=\"TOC\" UseBrowserDefaultSize=\"True\" UseDefaultBrowserSetup=\"True\" Title=\"\" AutoSyncTOC=\"true\" Name=\"UAP-FR\">';
xmlHelpSystemData += '        <Toolbar EnableCustomLayout=\"true\" Buttons=\"ExpandAll|Print\">';
xmlHelpSystemData += '            <Script>// Removes TOC based on HTML meta tag';
xmlHelpSystemData += '// (&amp;lt;meta name=\"toc-style\" content=\"Hidden\" /&amp;gt;)';
xmlHelpSystemData += '$(window).ready(function() {';
xmlHelpSystemData += '    var $metaTags = $(\"meta\");';
xmlHelpSystemData += '    var tocStyle;';
xmlHelpSystemData += '    for (var m = 0; m &lt; $metaTags.length; m++) { ';
xmlHelpSystemData += '        if ($metaTags.eq(m).attr(\"name\") === \"toc-style\") { ';
xmlHelpSystemData += '             tocStyle = $metaTags.eq(m).attr(\"content\").toLowerCase(); ';
xmlHelpSystemData += '        } ';
xmlHelpSystemData += '    }';
xmlHelpSystemData += '    if (tocStyle === \"hidden\") {';
xmlHelpSystemData += '         $(\"#toc, #navigationResizeBar\").css(\"display\", \"none\");';
xmlHelpSystemData += '         $(\"#contentBody\").css(\"left\", \"1.5em\");';
xmlHelpSystemData += '         $(\"#contentBodyInner\").css(\"border\", \"none\");';
xmlHelpSystemData += '    }';
xmlHelpSystemData += '});';
xmlHelpSystemData += '';
xmlHelpSystemData += '// Improves built-in TOC syncronisation';
xmlHelpSystemData += '$(window).ready(function() {';
xmlHelpSystemData += '    // Global vars';
xmlHelpSystemData += '    var selectedClass = \"tree-node-selected\";';
xmlHelpSystemData += '    var tocLinkSelector = \"#navigation #toc a\";';
xmlHelpSystemData += '    var tocpath = \"%3FTocPath%3D\";';
xmlHelpSystemData += '    var waitTime = 500;';
xmlHelpSystemData += '';
xmlHelpSystemData += '    // Function to identify and update TOC highlighting';
xmlHelpSystemData += '    function updateToc() {';
xmlHelpSystemData += '';
xmlHelpSystemData += '        // Functions to get clean link information';
xmlHelpSystemData += '        var clean = {';
xmlHelpSystemData += '            hash: function(href) {';
xmlHelpSystemData += '                if (href.indexOf(\"#\") !== -1) {';
xmlHelpSystemData += '                    return href.split(\"#\")[1].split(tocpath)[0];';
xmlHelpSystemData += '                } else return null;';
xmlHelpSystemData += '            },';
xmlHelpSystemData += '            subHash: function(href) {';
xmlHelpSystemData += '                if (href.indexOf(\"#\") !== -1) {';
xmlHelpSystemData += '                    var splitHref = href.split(tocpath)[0].split(\"#\");';
xmlHelpSystemData += '                    return splitHref[splitHref.length - 1];';
xmlHelpSystemData += '                } else return null;';
xmlHelpSystemData += '            }';
xmlHelpSystemData += '        };';
xmlHelpSystemData += '';
xmlHelpSystemData += '        // Function to set highlights in DOM';
xmlHelpSystemData += '        function setHighlights($tocLinks, linkIndex) {';
xmlHelpSystemData += '            $tocLinks.closest(\"li\").removeClass(selectedClass);';
xmlHelpSystemData += '            $tocLinks.eq(linkIndex).closest(\"li\").addClass(selectedClass);';
xmlHelpSystemData += '        }';
xmlHelpSystemData += '';
xmlHelpSystemData += '        // Loop to check each TOC link against the URL hash';
xmlHelpSystemData += '        // setTimeout gives the TOC time to be populated';
xmlHelpSystemData += '        setTimeout(function() {';
xmlHelpSystemData += '            var $tocLinks = $(tocLinkSelector);';
xmlHelpSystemData += '            var hash = clean.hash(top.location.hash);';
xmlHelpSystemData += '            if (hash !== null) {';
xmlHelpSystemData += '                var linkIndex;';
xmlHelpSystemData += '                for (var tl = 0; tl &lt; $tocLinks.length; tl++) {';
xmlHelpSystemData += '                    var href = clean.hash($tocLinks.eq(tl).attr(\"href\"));';
xmlHelpSystemData += '                    var subHref = clean.subHash($tocLinks.eq(tl).attr(\"href\"));';
xmlHelpSystemData += '                    // Set linkFlag to match top-level TOC link';
xmlHelpSystemData += '                    if (hash === href &amp;&amp; hash === subHref) {';
xmlHelpSystemData += '                        linkIndex = tl;';
xmlHelpSystemData += '                    }';
xmlHelpSystemData += '                    // If no match, set linkFlag to match sub-level TOC link';
xmlHelpSystemData += '                    else if (hash === subHref) {';
xmlHelpSystemData += '                        linkIndex = tl;';
xmlHelpSystemData += '                    }';
xmlHelpSystemData += '                }';
xmlHelpSystemData += '                // Remove highlighting from all TOC links except the current one';
xmlHelpSystemData += '                setHighlights($tocLinks, linkIndex);';
xmlHelpSystemData += '            } else {';
xmlHelpSystemData += '                // If no hash is present in the URL, remove highlighting from all TOC links except the first one';
xmlHelpSystemData += '                setHighlights($tocLinks, 0);';
xmlHelpSystemData += '            }';
xmlHelpSystemData += '        }, waitTime);';
xmlHelpSystemData += '    }';
xmlHelpSystemData += '';
xmlHelpSystemData += '    // Update the TOC on page load and every time the location is updated';
xmlHelpSystemData += '    setTimeout(function() {';
xmlHelpSystemData += '        updateToc();';
xmlHelpSystemData += '    }, waitTime);';
xmlHelpSystemData += '    $(window).on(\"hashchange\", function() {';
xmlHelpSystemData += '        updateToc();';
xmlHelpSystemData += '    });';
xmlHelpSystemData += '});';
xmlHelpSystemData += '';
xmlHelpSystemData += '// Updates webhelps to use UAP styles and scripts';
xmlHelpSystemData += 'if (window.location.protocol.indexOf(\"http\") != -1) {';
xmlHelpSystemData += '    if (window.top.location.href.indexOf(\"qas.com\") != -1 || window.top.location.href.indexOf(\"staging.dmz.qas\") != -1) {';
xmlHelpSystemData += '        // Use UAP override styles';
xmlHelpSystemData += '        var loc = window.top.location.href;';
xmlHelpSystemData += '        var url = loc.split(\"?\")[0];';
xmlHelpSystemData += '        url = url + \"Resources/Stylesheets/\";';
xmlHelpSystemData += '        var styleref = document.createElement(\"link\");';
xmlHelpSystemData += '        styleref.setAttribute(\"rel\", \"stylesheet\");';
xmlHelpSystemData += '        styleref.setAttribute(\"type\", \"text/css\");';
xmlHelpSystemData += '        styleref.setAttribute(\"href\", url + \"UAPWebhelpOverride.css\");';
xmlHelpSystemData += '        document.getElementsByTagName(\"head\")[0].appendChild(styleref);';
xmlHelpSystemData += '';
xmlHelpSystemData += '        var loc = window.top.location.href;';
xmlHelpSystemData += '        var url = loc.split(\"?\")[0];';
xmlHelpSystemData += '        url = url + \"Resources/\";';
xmlHelpSystemData += '';
xmlHelpSystemData += '        var script = document.getElementsByTagName(\"script\");';
xmlHelpSystemData += '        for (var i = 0; i &lt; script.length; i++) {';
xmlHelpSystemData += '            var scriptname = script[i].src.split(\"/\");';
xmlHelpSystemData += '            scriptname = scriptname[scriptname.length - 1];';
xmlHelpSystemData += '            if (scriptname.indexOf(\"jquery\") == -1) {';
xmlHelpSystemData += '                script[i].src = url + \"Scripts/MadCap/\" + scriptname;';
xmlHelpSystemData += '            }';
xmlHelpSystemData += '        }';
xmlHelpSystemData += '    }';
xmlHelpSystemData += '}</Script>';
xmlHelpSystemData += '        </Toolbar>';
xmlHelpSystemData += '        <WebHelpOptions NavigationPaneWidth=\"250\" />';
xmlHelpSystemData += '    </CatapultSkin>';
xmlHelpSystemData += '    <CatapultSkin Version=\"2\" SkinType=\"WebHelp2\" Comment=\"HTML5 skin\" Anchors=\"Width,Height\" Width=\"800\" Height=\"600\" Top=\"0\" Left=\"0\" Bottom=\"0\" Right=\"0\" Tabs=\"TOC\" DefaultTab=\"TOC\" UseBrowserDefaultSize=\"True\" UseDefaultBrowserSetup=\"True\" Title=\"\" AutoSyncTOC=\"true\" Name=\"UAP\">';
xmlHelpSystemData += '        <Toolbar EnableCustomLayout=\"true\" Buttons=\"ExpandAll|Print\">';
xmlHelpSystemData += '            <Script>// Removes TOC based on HTML meta tag';
xmlHelpSystemData += '// (&amp;lt;meta name=\"toc-style\" content=\"Hidden\" /&amp;gt;)';
xmlHelpSystemData += '$(window).ready(function() {';
xmlHelpSystemData += '    var $metaTags = $(\"meta\");';
xmlHelpSystemData += '    var tocStyle;';
xmlHelpSystemData += '    for (var m = 0; m &lt; $metaTags.length; m++) { ';
xmlHelpSystemData += '        if ($metaTags.eq(m).attr(\"name\") === \"toc-style\") { ';
xmlHelpSystemData += '             tocStyle = $metaTags.eq(m).attr(\"content\").toLowerCase(); ';
xmlHelpSystemData += '        } ';
xmlHelpSystemData += '    }';
xmlHelpSystemData += '    if (tocStyle === \"hidden\") {';
xmlHelpSystemData += '         $(\"#toc, #navigationResizeBar\").css(\"display\", \"none\");';
xmlHelpSystemData += '         $(\"#contentBody\").css(\"left\", \"1.5em\");';
xmlHelpSystemData += '         $(\"#contentBodyInner\").css(\"border\", \"none\");';
xmlHelpSystemData += '    }';
xmlHelpSystemData += '});';
xmlHelpSystemData += '';
xmlHelpSystemData += '// Improves built-in TOC syncronisation';
xmlHelpSystemData += '$(window).ready(function() {';
xmlHelpSystemData += '    // Global vars';
xmlHelpSystemData += '    var selectedClass = \"tree-node-selected\";';
xmlHelpSystemData += '    var tocLinkSelector = \"#navigation #toc a\";';
xmlHelpSystemData += '    var tocpath = \"%3FTocPath%3D\";';
xmlHelpSystemData += '    var waitTime = 500;';
xmlHelpSystemData += '';
xmlHelpSystemData += '    // Function to identify and update TOC highlighting';
xmlHelpSystemData += '    function updateToc() {';
xmlHelpSystemData += '';
xmlHelpSystemData += '        // Functions to get clean link information';
xmlHelpSystemData += '        var clean = {';
xmlHelpSystemData += '            hash: function(href) {';
xmlHelpSystemData += '                if (href.indexOf(\"#\") !== -1) {';
xmlHelpSystemData += '                    return href.split(\"#\")[1].split(tocpath)[0];';
xmlHelpSystemData += '                } else return null;';
xmlHelpSystemData += '            },';
xmlHelpSystemData += '            subHash: function(href) {';
xmlHelpSystemData += '                if (href.indexOf(\"#\") !== -1) {';
xmlHelpSystemData += '                    var splitHref = href.split(tocpath)[0].split(\"#\");';
xmlHelpSystemData += '                    return splitHref[splitHref.length - 1];';
xmlHelpSystemData += '                } else return null;';
xmlHelpSystemData += '            }';
xmlHelpSystemData += '        };';
xmlHelpSystemData += '';
xmlHelpSystemData += '        // Function to set highlights in DOM';
xmlHelpSystemData += '        function setHighlights($tocLinks, linkIndex) {';
xmlHelpSystemData += '            $tocLinks.closest(\"li\").removeClass(selectedClass);';
xmlHelpSystemData += '            $tocLinks.eq(linkIndex).closest(\"li\").addClass(selectedClass);';
xmlHelpSystemData += '        }';
xmlHelpSystemData += '';
xmlHelpSystemData += '        // Loop to check each TOC link against the URL hash';
xmlHelpSystemData += '        // setTimeout gives the TOC time to be populated';
xmlHelpSystemData += '        setTimeout(function() {';
xmlHelpSystemData += '            var $tocLinks = $(tocLinkSelector);';
xmlHelpSystemData += '            var hash = clean.hash(top.location.hash);';
xmlHelpSystemData += '            if (hash !== null) {';
xmlHelpSystemData += '                var linkIndex;';
xmlHelpSystemData += '                for (var tl = 0; tl &lt; $tocLinks.length; tl++) {';
xmlHelpSystemData += '                    var href = clean.hash($tocLinks.eq(tl).attr(\"href\"));';
xmlHelpSystemData += '                    var subHref = clean.subHash($tocLinks.eq(tl).attr(\"href\"));';
xmlHelpSystemData += '                    // Set linkFlag to match top-level TOC link';
xmlHelpSystemData += '                    if (hash === href &amp;&amp; hash === subHref) {';
xmlHelpSystemData += '                        linkIndex = tl;';
xmlHelpSystemData += '                    }';
xmlHelpSystemData += '                    // If no match, set linkFlag to match sub-level TOC link';
xmlHelpSystemData += '                    else if (hash === subHref) {';
xmlHelpSystemData += '                        linkIndex = tl;';
xmlHelpSystemData += '                    }';
xmlHelpSystemData += '                }';
xmlHelpSystemData += '                // Remove highlighting from all TOC links except the current one';
xmlHelpSystemData += '                setHighlights($tocLinks, linkIndex);';
xmlHelpSystemData += '            } else {';
xmlHelpSystemData += '                // If no hash is present in the URL, remove highlighting from all TOC links except the first one';
xmlHelpSystemData += '                setHighlights($tocLinks, 0);';
xmlHelpSystemData += '            }';
xmlHelpSystemData += '        }, waitTime);';
xmlHelpSystemData += '    }';
xmlHelpSystemData += '';
xmlHelpSystemData += '    // Update the TOC on page load and every time the location is updated';
xmlHelpSystemData += '    setTimeout(function() {';
xmlHelpSystemData += '        updateToc();';
xmlHelpSystemData += '    }, waitTime);';
xmlHelpSystemData += '    $(window).on(\"hashchange\", function() {';
xmlHelpSystemData += '        updateToc();';
xmlHelpSystemData += '    });';
xmlHelpSystemData += '});';
xmlHelpSystemData += '';
xmlHelpSystemData += '// Updates webhelps to use UAP styles and scripts';
xmlHelpSystemData += 'if (window.location.protocol.indexOf(\"http\") != -1) {';
xmlHelpSystemData += '    if (window.top.location.href.indexOf(\"qas.com\") != -1 || window.top.location.href.indexOf(\"staging.dmz.qas\") != -1) {';
xmlHelpSystemData += '        // Use UAP override styles';
xmlHelpSystemData += '        var loc = window.top.location.href;';
xmlHelpSystemData += '        var url = loc.split(\"?\")[0];';
xmlHelpSystemData += '        url = url + \"Resources/Stylesheets/\";';
xmlHelpSystemData += '        var styleref = document.createElement(\"link\");';
xmlHelpSystemData += '        styleref.setAttribute(\"rel\", \"stylesheet\");';
xmlHelpSystemData += '        styleref.setAttribute(\"type\", \"text/css\");';
xmlHelpSystemData += '        styleref.setAttribute(\"href\", url + \"UAPWebhelpOverride.css\");';
xmlHelpSystemData += '        document.getElementsByTagName(\"head\")[0].appendChild(styleref);';
xmlHelpSystemData += '';
xmlHelpSystemData += '        var loc = window.top.location.href;';
xmlHelpSystemData += '        var url = loc.split(\"?\")[0];';
xmlHelpSystemData += '        url = url + \"Resources/\";';
xmlHelpSystemData += '';
xmlHelpSystemData += '        var script = document.getElementsByTagName(\"script\");';
xmlHelpSystemData += '        for (var i = 0; i &lt; script.length; i++) {';
xmlHelpSystemData += '            var scriptname = script[i].src.split(\"/\");';
xmlHelpSystemData += '            scriptname = scriptname[scriptname.length - 1];';
xmlHelpSystemData += '            if (scriptname.indexOf(\"jquery\") == -1) {';
xmlHelpSystemData += '                script[i].src = url + \"Scripts/MadCap/\" + scriptname;';
xmlHelpSystemData += '            }';
xmlHelpSystemData += '        }';
xmlHelpSystemData += '    }';
xmlHelpSystemData += '}</Script>';
xmlHelpSystemData += '        </Toolbar>';
xmlHelpSystemData += '        <WebHelpOptions NavigationPaneWidth=\"250\" />';
xmlHelpSystemData += '    </CatapultSkin>';
xmlHelpSystemData += '</WebHelpSystem>';
MadCap.Utilities.Xhr._FilePathToXmlStringMap.Add('HelpSystem', xmlHelpSystemData);
